public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/vitamtp/
@ 2020-11-15 23:24 David Seifert
  0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2020-11-15 23:24 UTC (permalink / raw
  To: gentoo-commits

commit:     5f048b99af1299d72cdf10bbe9ae342cfe5c738b
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:13 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f048b99

media-libs/vitamtp: disable static libs

Closes: https://bugs.gentoo.org/724652
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild | 8 ++++++--
 media-libs/vitamtp/vitamtp-9999.ebuild              | 8 ++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
index daed2360279..c1a028b1ab1 100644
--- a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
+++ b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -34,9 +34,13 @@ src_prepare() {
 	eautoreconf
 }
 
+src_configure() {
+	econf --disable-static
+}
+
 src_install() {
 	default
-	find "${D}" -name '*.la' -type f -delete || die
+	find "${ED}" -name '*.la' -delete || die
 	insinto /lib/udev/rules.d
 	newins debian/libvitamtp5.udev 10-vitamtp.rules
 }

diff --git a/media-libs/vitamtp/vitamtp-9999.ebuild b/media-libs/vitamtp/vitamtp-9999.ebuild
index 03249b880bc..90e58fb3207 100644
--- a/media-libs/vitamtp/vitamtp-9999.ebuild
+++ b/media-libs/vitamtp/vitamtp-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -30,9 +30,13 @@ src_prepare() {
 	eautoreconf
 }
 
+src_configure() {
+	econf --disable-static
+}
+
 src_install() {
 	default
-	find "${D}" -name '*.la' -type f -delete || die
+	find "${ED}" -name '*.la' -delete || die
 	insinto /lib/udev/rules.d
 	newins debian/libvitamtp5.udev 10-vitamtp.rules
 }


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/vitamtp/
@ 2022-04-28  3:38 Sam James
  0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2022-04-28  3:38 UTC (permalink / raw
  To: gentoo-commits

commit:     951301312671f54ef9d17d10dd1cee942e79fe95
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 28 03:37:16 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 28 03:37:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95130131

media-libs/vitamtp: use udev.eclass; call udev_reload

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild | 13 +++++++++----
 media-libs/vitamtp/vitamtp-9999.ebuild              | 13 +++++++++----
 2 files changed, 18 insertions(+), 8 deletions(-)

diff --git a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
index c1a028b1ab19..a57b5ab082cd 100644
--- a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
+++ b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit autotools vcs-snapshot
+inherit autotools vcs-snapshot udev
 
 GIT_COMMIT="7ab537a4f45e34984cbeb9cf1b1af543a75a3dc0"
 
@@ -40,7 +40,12 @@ src_configure() {
 
 src_install() {
 	default
+
 	find "${ED}" -name '*.la' -delete || die
-	insinto /lib/udev/rules.d
-	newins debian/libvitamtp5.udev 10-vitamtp.rules
+
+	udev_newrules debian/libvitamtp5.udev 10-vitamtp.rules
+}
+
+pkg_postinst() {
+	udev_reload
 }

diff --git a/media-libs/vitamtp/vitamtp-9999.ebuild b/media-libs/vitamtp/vitamtp-9999.ebuild
index 90e58fb32077..158230be609f 100644
--- a/media-libs/vitamtp/vitamtp-9999.ebuild
+++ b/media-libs/vitamtp/vitamtp-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit autotools git-r3
+inherit autotools git-r3 udev
 
 DESCRIPTION="Library to interact with PS Vita's USB MTP protocol"
 HOMEPAGE="https://github.com/codestation/vitamtp"
@@ -36,7 +36,12 @@ src_configure() {
 
 src_install() {
 	default
+
 	find "${ED}" -name '*.la' -delete || die
-	insinto /lib/udev/rules.d
-	newins debian/libvitamtp5.udev 10-vitamtp.rules
+
+	udev_newrules debian/libvitamtp5.udev 10-vitamtp.rules
+}
+
+pkg_postinst() {
+	udev_reload
 }


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/vitamtp/
@ 2022-07-24  0:52 Vadim Misbakh-Soloviov
  0 siblings, 0 replies; 4+ messages in thread
From: Vadim Misbakh-Soloviov @ 2022-07-24  0:52 UTC (permalink / raw
  To: gentoo-commits

commit:     d4f4ab4e5cdf620d1bc82f3e9b4646fa8e0338a3
Author:     Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 24 00:50:40 2022 +0000
Commit:     Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 00:52:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4f4ab4e

media-libs/vitamtp: call udev-reload in postrm

Bug: https://bugs.gentoo.org/854780
Package-Manager: Portage-3.0.34, Repoman-3.0.3
Signed-off-by: Vadim Misbakh-Soloviov <mva <AT> gentoo.org>

 media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild | 4 ++++
 media-libs/vitamtp/vitamtp-9999.ebuild              | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
index a57b5ab082cd..77e1dd6cde57 100644
--- a/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
+++ b/media-libs/vitamtp/vitamtp-2.5.9_pre20160829.ebuild
@@ -49,3 +49,7 @@ src_install() {
 pkg_postinst() {
 	udev_reload
 }
+
+pkg_postrm() {
+	udev_reload
+}

diff --git a/media-libs/vitamtp/vitamtp-9999.ebuild b/media-libs/vitamtp/vitamtp-9999.ebuild
index 158230be609f..4d9dbd2f73ca 100644
--- a/media-libs/vitamtp/vitamtp-9999.ebuild
+++ b/media-libs/vitamtp/vitamtp-9999.ebuild
@@ -45,3 +45,7 @@ src_install() {
 pkg_postinst() {
 	udev_reload
 }
+
+pkg_postrm() {
+	udev_reload
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/vitamtp/
@ 2024-12-24 11:08 Sam James
  0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2024-12-24 11:08 UTC (permalink / raw
  To: gentoo-commits

commit:     cb9b17a5f4fbdea83962d877deaf62ec4f6a7019
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 11:07:46 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 11:08:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb9b17a5

media-libs/vitamtp: retire mva

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/vitamtp/metadata.xml | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/media-libs/vitamtp/metadata.xml b/media-libs/vitamtp/metadata.xml
index d07ec95e54ab..05e9789d9789 100644
--- a/media-libs/vitamtp/metadata.xml
+++ b/media-libs/vitamtp/metadata.xml
@@ -1,10 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>mva@gentoo.org</email>
-		<name>Vadim Misbakh-Soloviov</name>
-	</maintainer>
+	<!-- maintainer-needed -->
 	<upstream>
 		<remote-id type="github">codestation/vitamtp</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-12-24 11:08 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-04-28  3:38 [gentoo-commits] repo/gentoo:master commit in: media-libs/vitamtp/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-12-24 11:08 Sam James
2022-07-24  0:52 Vadim Misbakh-Soloviov
2020-11-15 23:24 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox